package com.javacodegeeks.snippets.enterprise.cdibeans;

import java.io.Serializable;

import javax.enterprise.context.RequestScoped;
import javax.enterprise.inject.Disposes;
import javax.enterprise.inject.Produces;

import com.javacodegeeks.snippets.enterprise.cdibeans.impl.GreetingCardImpl;

public class GreetingCardFactory implements Serializable {

	private static final long serialVersionUID = -44416514616012281L;

	@Produces
	@RequestScoped
	@Greetings
	public GreetingCard getGreetingCard() {
		GreetingCard greetingCard = new GreetingCardImpl();
		greetingCard.sayHello();
		return greetingCard;
	}

	public void disposeGreetingCard(
			@Disposes @Greetings GreetingCard greetingCard) {
		greetingCard.sayGoodBye();
	}

}
